return {
    id = "pas:Anything",
    label = "Anything",
    description = "Superclass of every resource type in the system.",
    abstract = "true",

    properties = {
        ["pas:id"] = {
            label = "Primary ID",
            type = "string",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["pas:refId"] = {
            label = "External system ID",
            type = "string",
        },
        ["pas:prefLabel"] = {
            label = "Preferred Label",
            type = "string",
            max_cardinality = 1,
        },
        ["pas:altLabel"] = {
            label = "Alternative Label",
            type = "string",
        },
        ["pas:created"] = {
            label = "Created On",
            type = "timestamp",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["pas:updated"] = {
            label = "Last Updated On",
            type = "timestamp",
            min_cardinality = 1,
            max_cardinality = 1,
        },
        ["pas:createdBy"] = {
            label = "Created By",
            type = "rel",
            range = {["pas:Agent"] = true},
        },
        ["pas:updatedBy"] = {
            label = "Last Updated By",
            type = "rel",
            range = {["pas:Agent"] = true},
        },
    },
}
